View Issue Details

IDProjectCategoryView StatusLast Update
0032783Open CASCADEOCCT:Documentationpublic2022-01-22 12:40
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032783: Documentation - Doxygen 1.9.3 generates corrupted HTML for dox/samples/ocaf.md
DescriptionDoxygen 1.9.3 generates the following warnings:
C:/occt.git/dox/samples/ocaf.md:529: warning: unexpected command endcode
C:/occt.git/dox/user_guides/modeling_data/modeling_data.md:119: warning: Invalid list item found

and produces broken HTML.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Attached Files

  • doxygen.png (5,977 bytes)

Relationships

child of 0031634 newkgv Documentation - minor clean-up of User Guides from misprints and old classes 

Activities

git

2022-01-18 16:32

administrator   ~0106442

Branch CR32783 has been created by kgv.

SHA-1: 5c4ed9895bcf1589577d2eb8ebfad73044f439cf


Detailed log of new commits:

Author: kgv
Date: Tue Jan 18 15:28:02 2022 +0300

    0032783: Documentation - Doxygen 1.9.3 generates corrupted HTML for dox/samples/ocaf.md
    
    Fix incorrect/fragile Markdown syntax in samples/ocaf and user_guides/modeling_data.

kgv

2022-01-18 16:33

developer   ~0106443

Patch is ready for review
- OCCT: branch CR32783.

aml

2022-01-19 08:03

developer   ~0106466

I confirm that problem has gone.
doxygen.png (5,977 bytes)

aml

2022-01-19 08:04

developer   ~0106467

Please raise the patch.

OCCT: CR32783
Products: -

smoskvin

2022-01-22 11:46

administrator   ~0106522

Combination -
OCCT branch : IR-2022-01-21
master SHA - 5614b1369a232f43e59cb9be4f5f8efd2075608d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-01-21 SHA - 6c9eed61a7023644fdd1361491a49abf318c0d20
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18406.870000000446 / 18505.100000000388 [-0.53%]
Products
Total CPU difference: 11642.890000000107 / 11656.240000000102 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 20282.578125 / 20270.375 [+0.06%]
Products
Total CPU difference: 13127.640625 / 13139.84375 [-0.09%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-01-22 12:40

administrator   ~0106538

Branch CR32783 has been deleted by mnt.

SHA-1: 5c4ed9895bcf1589577d2eb8ebfad73044f439cf

Related Changesets

occt: master 5614b136

2022-01-18 15:28:02

kgv


Committer: smoskvin Details Diff
0032783: Documentation - Doxygen 1.9.3 generates corrupted HTML for dox/samples/ocaf.md

Fix incorrect/fragile Markdown syntax in samples/ocaf and user_guides/modeling_data.
Affected Issues
0032783
mod - dox/samples/ocaf.md Diff File
mod - dox/user_guides/modeling_data/modeling_data.md Diff File

Issue History

Date Modified Username Field Change
2022-01-18 16:30 kgv New Issue
2022-01-18 16:30 kgv Assigned To => abv
2022-01-18 16:32 git Note Added: 0106442
2022-01-18 16:33 kgv Assigned To abv => aml
2022-01-18 16:33 kgv Status new => resolved
2022-01-18 16:33 kgv Test case number => N/A
2022-01-18 16:33 kgv Note Added: 0106443
2022-01-19 08:03 aml Note Added: 0106466
2022-01-19 08:03 aml File Added: doxygen.png
2022-01-19 08:04 aml Assigned To aml => bugmaster
2022-01-19 08:04 aml Status resolved => reviewed
2022-01-19 08:04 aml Note Added: 0106467
2022-01-19 10:14 kgv Relationship added child of 0031634
2022-01-19 10:39 kgv Time allocated 18.1.2022: 2 h. => set
2022-01-22 11:46 smoskvin Status reviewed => tested
2022-01-22 11:46 smoskvin Note Added: 0106522
2022-01-22 12:09 smoskvin Changeset attached => occt master 5614b136
2022-01-22 12:09 kgv Assigned To bugmaster => kgv
2022-01-22 12:09 kgv Status tested => verified
2022-01-22 12:09 kgv Resolution open => fixed
2022-01-22 12:40 git Note Added: 0106538